## org.eclipse.datatools.sqltools.debugger.core.internal
Class DebuggerPreferenceConstants

    java.lang.Object
      org.eclipse.datatools.sqltools.debugger.core.internal.DebuggerPreferenceConstants

    public class DebuggerPreferenceConstants

extends java.lang.Object

Preference constants used in the DMP preference store. Clients should only read the DMP preference store using these values. Clients are not allowed to modify the preference store programmatically.

Author:
  Hui Cao

Field Summary
`static java.lang.String` `EXTERNAL_CLIENT_REFRESH_INTERVAL`
`static java.lang.String` `PAGE_SQLDEBUG`
`static java.lang.String` `PROMPT_SETTING_BRAKEPOINT_DISABLE`
`static java.lang.String` `TABLE_VIEW_AUTO_REFRESH`
`static java.lang.String` `TABLE_VIEW_DISPLAY_NULL`
`static java.lang.String` `TABLE_VIEW_MAX_ROW_TO_DISPLAY`
`static java.lang.String` `TABLE_VIEW_SHOW_ROW_NUMBER`

Constructor Summary
`DebuggerPreferenceConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAGE_SQLDEBUG

    public static final java.lang.String PAGE_SQLDEBUG

### PROMPT_SETTING_BRAKEPOINT_DISABLE

    public static final java.lang.String PROMPT_SETTING_BRAKEPOINT_DISABLE

See Also:
  Constant Field Values

### TABLE_VIEW_SHOW_ROW_NUMBER

    public static final java.lang.String TABLE_VIEW_SHOW_ROW_NUMBER

See Also:
  Constant Field Values

### TABLE_VIEW_MAX_ROW_TO_DISPLAY

    public static final java.lang.String TABLE_VIEW_MAX_ROW_TO_DISPLAY

See Also:
  Constant Field Values

### TABLE_VIEW_DISPLAY_NULL

    public static final java.lang.String TABLE_VIEW_DISPLAY_NULL

See Also:
  Constant Field Values

### TABLE_VIEW_AUTO_REFRESH

    public static final java.lang.String TABLE_VIEW_AUTO_REFRESH

See Also:
  Constant Field Values

### EXTERNAL_CLIENT_REFRESH_INTERVAL

    public static final java.lang.String EXTERNAL_CLIENT_REFRESH_INTERVAL

See Also:
  Constant Field Values

Constructor Detail

### DebuggerPreferenceConstants

    public DebuggerPreferenceConstants()